Subject: Re: Repeatable test t9010-svn-fe.sh failure w/ master (685e9d9, 1.7.4.rc1)

From: A Large Angry SCM <[email-masked]>
Date: Thu, 06 Jan 2011 14:06:40 -0500

On 01/06/2011 01:15 PM, Junio C Hamano wrote:
> A Large Angry SCM<[email-masked]>  writes:
>
>> + svnadmin load simple-svn
>> <<<  Started new transaction, based on original revision 1
>>       * adding path : branches ... done.
>>       * adding path : trunk ... done.
>> svnadmin: Couldn't perform atomic initialization
>> svnadmin: Couldn't perform atomic initialization
>> svnadmin: SQLite compiled for 3.7.4, but running with 3.7.3
>> + eval_ret=1
>
> Hmm.  Do any other svn related tests that use "svnadmin load" work in your
> environment?
>
>      $ cd t/
>      $ git grep -l 'svnadmin load'
>      t9010-svn-fe.sh
>      t9110-git-svn-use-svm-props.sh
>      t9111-git-svn-use-svnsync-props.sh
>      t9112-git-svn-md5less-file.sh
>      t9115-git-svn-dcommit-funky-renames.sh
>      t9121-git-svn-fetch-renamed-dir.sh
>      t9126-git-svn-follow-deleted-readded-directory.sh
>      t9131-git-svn-empty-symlink.sh
>      t9132-git-svn-broken-symlink.sh
>      t9135-git-svn-moved-branch-empty-file.sh
>      t9136-git-svn-recreated-branch-empty-file.sh
>      t9150-svk-mergetickets.sh
>      t9151-svn-mergeinfo.sh
>      t9153-git-svn-rewrite-uuid.sh
>      t9154-git-svn-fancy-glob.sh
>
> Web searching for "svnadmin: SQLite compiled for" seems to give a handful
> of hits, even though I don't see anything from Debian offhand.
>

It looks like all of the svn tests are failing.

I checked out the last version I built and tested, f2665ec, and it's 
failing the svn tests also. So, it looks like the current Debian 
(Squeeze) svn package is broken. And the following seems to confirm that.

	http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=608925